Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #178

"Close to tray icon” doesn’'t work when using Winamp interface
September 23, 2012 12:42 - Anonymous

Status: Closed Start date: September 23, 2012
Priority: Minor Due date:

Assignee: % Done: 100%

Category: plugins/skins Estimated time: 0.00 hour

Target version: 3.3.3

Affects version: 3.3.1

Description

Ubuntu 12.04 64 bits
Gnome-shell 3.4.1
audacious 3.3.1

| have activated the "_Status icon_" plugin and its option "_close to tray icon_", but when | close the audacious window, it closes de
app.

History

#1 - September 23, 2012 17:56 - John Lindgren
It works perfectly here (XFCE 4.10).

#2 - September 23, 2012 20:18 - Thomas Lange

It works also for me with Gnome 3.6b2.

#3 - September 24, 2012 02:49 - John Lindgren

| tested Ubuntu 12.04 with Unity just now, and though Unity does not display the icon, the "close to tray icon" behavior still works; the program
continues to run and music continues to play.

#4 - September 25, 2012 18:02 - Anonymous

| have compiled the version 3.3.2 and same problem.

#5 - September 26, 2012 19:15 - Thomas Lange

| can't reproduce this even with Ubuntu 12.04.1 and gnome-shell.
Have you tried using a clean user profile?

#6 - September 27, 2012 23:33 - Thomas Lange

Please tell us next time you are using the Winamp skin.
Now | am able to reproduce the issue.

#7 - September 28, 2012 13:13 - Anonymous

Thomas Lange wrote:

Please tell us next time you are using the Winamp skin.
Now | am able to reproduce the issue.

Yes, it's true. | use the Winamp skin.
#8 - September 29, 2012 16:14 - John Lindgren
- Subject changed from Option "close to tray icon" of Status icon plugin doesn't work to "Close to tray icon" doesn't work when using Winamp interface

- Category changed from plugins/statusicon to plugins/skins

#9 - September 30, 2012 22:13 - John Lindgren
- Status changed from New to Closed
- Target version set to 3.3.3

- % Done changed from 0 to 100

Fixed:
https://github.com/audacious-media-player/audacious-plugins/commit/64c6bd150a5e8f6¢79175034ef90b6706c7e569b
